ZIP_SET_FILE_COMMENT(3)

NAME
zip_set_file_comment - set comment for file in zip (obsolete interface)

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int
zip_set_file_comment(zip_t *archive, zip_uint64_t index, const char *comment, int len);

DESCRIPTION
The zip_set_file_comment() function is the obsolete version of zip_file_set_comment(3). The only differences are the type of the len argument and the additional flags argument. zip_set_file_comment() is the same as calling zip_file_set_comment(3) with an empty flags argument.

SEE ALSO
libzip(3), zip_file_set_comment(3)

HISTORY
zip_set_file_comment() was added in libzip 0.7. In libzip 0.10 the type of index was changed from int to zip_uint64_t. It was deprecated in libzip 0.11, use zip_file_set_comment() instead.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>